Перейти к основному содержанию
POST
/
grok
/
videos
Videos
curl --request POST \
  --url https://api.acedata.cloud/grok/videos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "A cinematic shot of a kitten chasing a butterfly in a sunlit garden",
  "model": "grok-imagine-video",
  "image_url": "https://cdn.acedata.cloud/grok/example-input.png",
  "reference_image_urls": [
    "<string>"
  ],
  "aspect_ratio": "16:9",
  "resolution": "480p",
  "duration": 8,
  "callback_url": "<string>",
  "async": true
}
'
{
  "success": true,
  "task_id": "b8976e18-32dc-4718-9ed8-1ea090fcb6ea",
  "trace_id": "fb751e1e-4705-49ea-9fd4-5024b7865ea2",
  "data": [
    {
      "id": "grok-imagine-video:41eb9a5f-3b2d-4d1e-9f5a-6c2f1a0b9e77",
      "video_url": "https://cdn.acedata.cloud/grok/example-video.mp4",
      "state": "succeeded"
    }
  ]
}

Авторизации

Authorization
string
header
обязательно

Заголовки

accept
enum<string>

Grok Videos Param Accept

Доступные опции:
application/json,
application/x-ndjson

Тело

application/json
prompt
string

Grok Videos Prompt

Пример:

"A cinematic shot of a kitten chasing a butterfly in a sunlit garden"

model
enum<string>
по умолчанию:grok-imagine-video

Grok Videos Model

Доступные опции:
grok-imagine-video,
grok-imagine-video-1.5-preview
Пример:

"grok-imagine-video"

image_url
string

Grok Videos Image Url

Пример:

"https://cdn.acedata.cloud/grok/example-input.png"

reference_image_urls
string[]

Grok Videos Reference Image Urls

aspect_ratio
enum<string>

Grok Videos Aspect Ratio

Доступные опции:
1:1,
16:9,
9:16,
4:3,
3:4,
3:2,
2:3
Пример:

"16:9"

resolution
enum<string>
по умолчанию:480p

Grok Videos Resolution

Доступные опции:
480p,
720p
Пример:

"480p"

duration
integer
по умолчанию:8

Grok Videos Duration

Требуемый диапазон: 1 <= x <= 15
Пример:

8

callback_url
string

Grok Videos Callback Url

async
boolean

Grok Videos Async

Ответ

Grok Videos Response 200

success
boolean

Grok Videos Response 200 Success

task_id
string

Grok Videos Response 200 Task Id

trace_id
string

Grok Videos Response 200 Trace Id

data
object[]

Grok Videos Response 200 Data